USE [COWS]
GO

/****** Object:  Table [dbo].[CPT_REC_LOCK]    Script Date: 02/24/2016 10:19:56 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CPT_REC_LOCK](
	[CPT_ID] [int] NOT NULL,
	[STRT_REC_LOCK_TMST] [smalldatetime] NOT NULL,
	[LOCK_BY_USER_ID] [int] NOT NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
 CONSTRAINT [PK_CPT_REC_LOCK] PRIMARY KEY CLUSTERED 
(
	[CPT_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[CPT_REC_LOCK]  WITH NOCHECK ADD  CONSTRAINT [FK01_CPT_REC_LOCK] FOREIGN KEY([LOCK_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[CPT_REC_LOCK] CHECK CONSTRAINT [FK01_CPT_REC_LOCK]
GO

ALTER TABLE [dbo].[CPT_REC_LOCK]  WITH NOCHECK ADD  CONSTRAINT [FK02_CPT_REC_LOCK] FOREIGN KEY([CPT_ID])
REFERENCES [dbo].[CPT] ([CPT_ID])
GO

ALTER TABLE [dbo].[CPT_REC_LOCK] CHECK CONSTRAINT [FK02_CPT_REC_LOCK]
GO

ALTER TABLE [dbo].[CPT_REC_LOCK] ADD  CONSTRAINT [DF_getdate_20160224]  DEFAULT (getdate()) FOR [CREAT_DT]
GO


